読者です 読者をやめる 読者になる 読者になる

tomokiの備忘録

ITに関する簡単な備忘録です

【Android】LINEの連携で「ご利用のバージョンでは対応していないか不正なURLです。」ってエラーが出た。

今回の事象

自作のアプリとLINEをIntentで連携しようとしたら「ご利用のバージョンでは対応していないか不正なURLです。」というエラーが発生した。

対処法 

文字列に改行文字が含まれていたのが原因だったらしくエンコードしたら正常に連携できました。

コード

Encoding